Bug 1295124 - Critical: UEFI boot entries overflow
Critical: UEFI boot entries overflow
Status: NEW
Product: Fedora
Classification: Fedora
Component: shim (Show other bugs)
26
x86_64 Unspecified
high Severity urgent
: ---
: ---
Assigned To: Matthew Garrett
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-02 10:24 EST by Pavlo Rudyi
Modified: 2017-07-26 05:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bootlog (497.78 KB, text/plain)
2016-01-02 10:25 EST, Pavlo Rudyi
no flags Details

  None (edit)
Description Pavlo Rudyi 2016-01-02 10:24:26 EST
Description of problem: every reboot add new UEFI duplicate boot entry:

# efibootmgr 
BootNext: 0000
BootCurrent: 0000
Timeout: 0 seconds
BootOrder: 0004,0000,0001
Boot0000* Notebook Hard Drive
Boot0001* Notebook Ethernet
Boot0002* Notebook Ethernet
Boot0003* Fedora
Boot0004* Fedora
...
...
Boot????  Fedora

# efibootmgr -v
BootNext: 0000
BootCurrent: 0000
Timeout: 0 seconds
BootOrder: 0004,0000,0001
Boot0000* Notebook Hard Drive	BBS(HD,�,0x0).......................................................................
Boot0001* Notebook Ethernet	BBS(128,�,0x0)..%.....................+..............................................
Boot0002* Notebook Ethernet	BBS(128,�,0x0)..%.....................+..............................................
Boot0003* Fedora	HD(1,GPT,2bab38e7-5a34-4693-a7a0-e4b517d91268,0x800,0x64000)/File(\EFI\fedora\shim.efi)
Boot0004* Fedora	HD(1,GPT,2bab38e7-5a34-4693-a7a0-e4b517d91268,0x800,0x64000)/File(\EFI\fedora\shim.efi)

 

Version-Release number of selected component:
kernel-4.4.0-0.rc6.git1.2.fc24.x86_64
shim-0.8-8.x86_64
grub2-2.02-0.24.fc24.x86_64
grub2-efi-2.02-0.24.fc24.x86_64
grub2-efi-modules-2.02-0.24.fc24.x86_64

How reproducible: just reboot 

Additional info: I was delete ~120 (!) boot records. I also try others LiveCD, this problem is only Fedora-specified.
Comment 1 Pavlo Rudyi 2016-01-02 10:25 EST
Created attachment 1111039 [details]
Bootlog
Comment 2 Jan Kurik 2016-02-24 10:45:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 teppot 2017-04-06 04:06:40 EDT
This is a duplicate of bug 995834.
Comment 5 Fedora End Of Life 2017-07-25 15:42:45 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.